summaryrefslogtreecommitdiff
path: root/scripts/scan-tools.sh
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2010-06-07 12:34:06 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2010-06-07 12:34:06 +0200
commit702e216210d58f1301c80d4e55af5d29f813eb19 (patch)
tree90c17c754d44370c230ae852f846524ab7014510 /scripts/scan-tools.sh
parent5c6967567427b9d5cbde9057b49a4894177ad559 (diff)
gnu tar fixes for MacOS X host
Diffstat (limited to 'scripts/scan-tools.sh')
-rw-r--r--scripts/scan-tools.sh14
1 files changed, 11 insertions, 3 deletions
diff --git a/scripts/scan-tools.sh b/scripts/scan-tools.sh
index 89e368d8b..16887e3dd 100644
--- a/scripts/scan-tools.sh
+++ b/scripts/scan-tools.sh
@@ -56,6 +56,12 @@ OpenBSD)
# although some packages' autoconf scripts may
# not properly recognise OpenBSD
;;
+Darwin*)
+ echo "Building OpenADK on $os needs a case-sensitive disk partition."
+ echo "For Snow Leopard and above you can use diskutil to resize your existing disk."
+ echo "For older versions you might consider to use a disk image"
+ echo "Example: sudo diskutil resizeVolume disk0s2 90G 1 jhfsx adk 30G"
+ ;;
*)
# unsupported
echo "Building OpenADK on $os is currently unsupported."
@@ -105,9 +111,11 @@ fi
if ! (tar --version | grep GNU) >/dev/null 2>&1;then
if ! which gtar >/dev/null 2>&1; then
- echo You must install GNU tar to continue.
- echo
- out=1
+ if ! which gnutar >/dev/null 2>&1; then
+ echo You must install GNU tar to continue.
+ echo
+ out=1
+ fi
fi
fi